<script lang="ts" setup>
import type { BaseHero } from '@/types/base';

defineProps<BaseHero>();
</script>
<template>
  <section class="why-gitlab-hero">
    <SlpContainer>
      <SlpRow>
        <SlpColumn :cols="image ? 8 : 12">
          <SlpTypography v-if="tagline" variant="heading3-bold" tag="p" class="why-gitlab-hero__tagline">{{
            tagline
          }}</SlpTypography>
          <SlpTypography v-if="title" variant="display1" tag="h1">{{ title }}</SlpTypography>
          <SlpTypography v-if="description" variant="heading5-bold" tag="p" class="slp-mt-24">{{
            description
          }}</SlpTypography>
          <SlpButton
            v-if="secondaryButton?.config?.href"
            :href="secondaryButton.config.href"
            variant="secondary"
            class="slp-mt-24"
            :data-ga-name="secondaryButton.config.dataGaName"
            :data-ga-location="secondaryButton.config.dataGaLocation"
          >
            {{ secondaryButton.text }}
          </SlpButton>
        </SlpColumn>
        <SlpColumn v-if="image?.config?.src" cols="4">
          <img class="why-gitlab-hero__image" :src="image.config.src" :alt="image.altText" />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.why-gitlab-hero {
  padding: $spacing-160 0px;
  position: relative;

  @media (max-width: $breakpoint-sm) {
    padding-top: $spacing-48;
  }

  &__tagline {
    background: linear-gradient(90.27deg, #f9a026 -13.91%, #a686f2 42.45%, #592ac8 109.96%);
    background-clip: text;
    color: transparent;
  }

  &__image {
    position: absolute;
    z-index: 1;

    @media (max-width: $breakpoint-sm) {
      display: none;
    }
  }
}
</style>
